#!/usr/bin/env python3

# Optimise by removing sections identical to lower layer.

from PIL import Image
import os, glob

ib = Image.open("../villager.png")

for fn in glob.glob("*.png"):
    ii = Image.open(fn)
    for x in range(ii.size[0]):
        for y in range(ii.size[1]):
            if ii.getpixel((x, y)) == ib.getpixel((x, y)):
                ii.putpixel((x, y), (0, 0, 0, 0))
    ii.save(fn)
